import * as cdk from '@aws-cdk/core';
/**
 * Schema for Module Fragment of type JFrog::Artifactory::Core::MODULE.
 *
 * @schema CfnModuleProps
 */
export interface CfnModuleProps {
    /**
     * @schema CfnModuleProps#Parameters
     */
    readonly parameters?: CfnModulePropsParameters;
    /**
     * @schema CfnModuleProps#Resources
     */
    readonly resources?: CfnModulePropsResources;
}
/**
 * Converts an object of type 'CfnModuleProps' to JSON representation.
 */
export declare function toJson_CfnModuleProps(obj: CfnModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParameters
 */
export interface CfnModulePropsParameters {
    /**
     * Availability Zone 1 to use for the subnets in the VPC.
     *
     * Two Availability Zones are used for this deployment.
     *
     * @schema CfnModulePropsParameters#AvailabilityZone1
     */
    readonly availabilityZone1?: CfnModulePropsParametersAvailabilityZone1;
    /**
     * Availability Zone 2 to use for the subnets in the VPC.
     *
     * Two Availability Zones are used for this deployment.
     *
     * @schema CfnModulePropsParameters#AvailabilityZone2
     */
    readonly availabilityZone2?: CfnModulePropsParametersAvailabilityZone2;
    /**
     * @schema CfnModulePropsParameters#VpcId
     */
    readonly vpcId?: CfnModulePropsParametersVpcId;
    /**
     * CIDR block for the VPC.
     *
     * @schema CfnModulePropsParameters#VpcCidr
     */
    readonly vpcCidr?: CfnModulePropsParametersVpcCidr;
    /**
     * @schema CfnModulePropsParameters#PrivateSubnet1Cidr
     */
    readonly privateSubnet1Cidr?: CfnModulePropsParametersPrivateSubnet1Cidr;
    /**
     * @schema CfnModulePropsParameters#PrivateSubnet2Cidr
     */
    readonly privateSubnet2Cidr?: CfnModulePropsParametersPrivateSubnet2Cidr;
    /**
     * @schema CfnModulePropsParameters#PrivateSubnet3Cidr
     */
    readonly privateSubnet3Cidr?: CfnModulePropsParametersPrivateSubnet3Cidr;
    /**
     * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnModulePropsParameters#PrivateSubnet1Id
     */
    readonly privateSubnet1Id?: CfnModulePropsParametersPrivateSubnet1Id;
    /**
     * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnModulePropsParameters#PrivateSubnet2Id
     */
    readonly privateSubnet2Id?: CfnModulePropsParametersPrivateSubnet2Id;
    /**
     * @schema CfnModulePropsParameters#DatabaseAllocatedStorage
     */
    readonly databaseAllocatedStorage?: CfnModulePropsParametersDatabaseAllocatedStorage;
    /**
     * @schema CfnModulePropsParameters#DatabasePreferredAz
     */
    readonly databasePreferredAz?: CfnModulePropsParametersDatabasePreferredAz;
    /**
     * Choose false to create an Amazon RDS instance in a single Availability Zone.
     *
     * @schema CfnModulePropsParameters#MultiAzDatabase
     */
    readonly multiAzDatabase?: CfnModulePropsParametersMultiAzDatabase;
    /**
     * @schema CfnModulePropsParameters#DatabaseEngine
     */
    readonly databaseEngine?: CfnModulePropsParametersDatabaseEngine;
    /**
     * @schema CfnModulePropsParameters#DatabaseUser
     */
    readonly databaseUser?: CfnModulePropsParametersDatabaseUser;
    /**
     * @schema CfnModulePropsParameters#DatabasePassword
     */
    readonly databasePassword?: CfnModulePropsParametersDatabasePassword;
    /**
     * @schema CfnModulePropsParameters#DatabaseInstance
     */
    readonly databaseInstance?: CfnModulePropsParametersDatabaseInstance;
    /**
     * @schema CfnModulePropsParameters#DatabaseName
     */
    readonly databaseName?: CfnModulePropsParametersDatabaseName;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryProduct
     */
    readonly artifactoryProduct?: CfnModulePropsParametersArtifactoryProduct;
    /**
     * @schema CfnModulePropsParameters#ReleaseStage
     */
    readonly releaseStage?: CfnModulePropsParametersReleaseStage;
    /**
     * @schema CfnModulePropsParameters#InstanceType
     */
    readonly instanceType?: CfnModulePropsParametersInstanceType;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryHostRole
     */
    readonly artifactoryHostRole?: CfnModulePropsParametersArtifactoryHostRole;
    /**
     * @schema CfnModulePropsParameters#EfsSecurityGroup
     */
    readonly efsSecurityGroup?: CfnModulePropsParametersEfsSecurityGroup;
}
/**
 * Converts an object of type 'CfnModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnModulePropsParameters(obj: CfnModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResources
 */
export interface CfnModulePropsResources {
    /**
     * @schema CfnModulePropsResources#ArtifactoryDatabaseSubnetGroup
     */
    readonly artifactoryDatabaseSubnetGroup?: CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup;
    /**
     * @schema CfnModulePropsResources#ArtifactoryDatabase
     */
    readonly artifactoryDatabase?: CfnModulePropsResourcesArtifactoryDatabase;
    /**
     * @schema CfnModulePropsResources#ArtifactoryDatabaseSG
     */
    readonly artifactoryDatabaseSg?: CfnModulePropsResourcesArtifactoryDatabaseSg;
    /**
     * @schema CfnModulePropsResources#ArtifactoryS3Bucket
     */
    readonly artifactoryS3Bucket?: CfnModulePropsResourcesArtifactoryS3Bucket;
    /**
     * @schema CfnModulePropsResources#ArtifactoryS3IAMPolicy
     */
    readonly artifactoryS3IamPolicy?: CfnModulePropsResourcesArtifactoryS3IamPolicy;
    /**
     * @schema CfnModulePropsResources#ArtifactoryEfsFileSystem
     */
    readonly artifactoryEfsFileSystem?: CfnModulePropsResourcesArtifactoryEfsFileSystem;
    /**
     * @schema CfnModulePropsResources#ArtifactoryEfsMountTarget1
     */
    readonly artifactoryEfsMountTarget1?: CfnModulePropsResourcesArtifactoryEfsMountTarget1;
    /**
     * @schema CfnModulePropsResources#ArtifactoryEfsMountTarget2
     */
    readonly artifactoryEfsMountTarget2?: CfnModulePropsResourcesArtifactoryEfsMountTarget2;
}
/**
 * Converts an object of type 'CfnModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnModulePropsResources(obj: CfnModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * Availability Zone 1 to use for the subnets in the VPC.
 *
 * Two Availability Zones are used for this deployment.
 *
 * @schema CfnModulePropsParametersAvailabilityZone1
 */
export interface CfnModulePropsParametersAvailabilityZone1 {
    /**
     * @schema CfnModulePropsParametersAvailabilityZone1#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersAvailabilityZone1#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersAvailabilityZone1' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersAvailabilityZone1(obj: CfnModulePropsParametersAvailabilityZone1 | undefined): Record<string, any> | undefined;
/**
 * Availability Zone 2 to use for the subnets in the VPC.
 *
 * Two Availability Zones are used for this deployment.
 *
 * @schema CfnModulePropsParametersAvailabilityZone2
 */
export interface CfnModulePropsParametersAvailabilityZone2 {
    /**
     * @schema CfnModulePropsParametersAvailabilityZone2#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersAvailabilityZone2#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersAvailabilityZone2' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersAvailabilityZone2(obj: CfnModulePropsParametersAvailabilityZone2 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersVpcId
 */
export interface CfnModulePropsParametersVpcId {
    /**
     * @schema CfnModulePropsParametersVpcId#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersVpcId' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersVpcId(obj: CfnModulePropsParametersVpcId | undefined): Record<string, any> | undefined;
/**
 * CIDR block for the VPC.
 *
 * @schema CfnModulePropsParametersVpcCidr
 */
export interface CfnModulePropsParametersVpcCidr {
    /**
     * @schema CfnModulePropsParametersVpcCidr#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersVpcCidr#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersVpcCidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersVpcCidr(obj: CfnModulePropsParametersVpcCidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersPrivateSubnet1Cidr
 */
export interface CfnModulePropsParametersPrivateSubnet1Cidr {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet1Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet1Cidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet1Cidr(obj: CfnModulePropsParametersPrivateSubnet1Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersPrivateSubnet2Cidr
 */
export interface CfnModulePropsParametersPrivateSubnet2Cidr {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet2Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet2Cidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet2Cidr(obj: CfnModulePropsParametersPrivateSubnet2Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersPrivateSubnet3Cidr
 */
export interface CfnModulePropsParametersPrivateSubnet3Cidr {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet3Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet3Cidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet3Cidr(obj: CfnModulePropsParametersPrivateSubnet3Cidr | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnModulePropsParametersPrivateSubnet1Id
 */
export interface CfnModulePropsParametersPrivateSubnet1Id {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet1Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersPrivateSubnet1Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet1Id' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet1Id(obj: CfnModulePropsParametersPrivateSubnet1Id | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnModulePropsParametersPrivateSubnet2Id
 */
export interface CfnModulePropsParametersPrivateSubnet2Id {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet2Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersPrivateSubnet2Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet2Id' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet2Id(obj: CfnModulePropsParametersPrivateSubnet2Id | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseAllocatedStorage
 */
export interface CfnModulePropsParametersDatabaseAllocatedStorage {
    /**
     * @schema CfnModulePropsParametersDatabaseAllocatedStorage#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseAllocatedStorage' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseAllocatedStorage(obj: CfnModulePropsParametersDatabaseAllocatedStorage | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabasePreferredAz
 */
export interface CfnModulePropsParametersDatabasePreferredAz {
    /**
     * @schema CfnModulePropsParametersDatabasePreferredAz#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabasePreferredAz' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabasePreferredAz(obj: CfnModulePropsParametersDatabasePreferredAz | undefined): Record<string, any> | undefined;
/**
 * Choose false to create an Amazon RDS instance in a single Availability Zone.
 *
 * @schema CfnModulePropsParametersMultiAzDatabase
 */
export interface CfnModulePropsParametersMultiAzDatabase {
    /**
     * @schema CfnModulePropsParametersMultiAzDatabase#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersMultiAzDatabase#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersMultiAzDatabase' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersMultiAzDatabase(obj: CfnModulePropsParametersMultiAzDatabase | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseEngine
 */
export interface CfnModulePropsParametersDatabaseEngine {
    /**
     * @schema CfnModulePropsParametersDatabaseEngine#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseEngine' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseEngine(obj: CfnModulePropsParametersDatabaseEngine | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseUser
 */
export interface CfnModulePropsParametersDatabaseUser {
    /**
     * @schema CfnModulePropsParametersDatabaseUser#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseUser' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseUser(obj: CfnModulePropsParametersDatabaseUser | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabasePassword
 */
export interface CfnModulePropsParametersDatabasePassword {
    /**
     * @schema CfnModulePropsParametersDatabasePassword#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabasePassword' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabasePassword(obj: CfnModulePropsParametersDatabasePassword | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseInstance
 */
export interface CfnModulePropsParametersDatabaseInstance {
    /**
     * @schema CfnModulePropsParametersDatabaseInstance#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseInstance' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseInstance(obj: CfnModulePropsParametersDatabaseInstance | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseName
 */
export interface CfnModulePropsParametersDatabaseName {
    /**
     * @schema CfnModulePropsParametersDatabaseName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseName(obj: CfnModulePropsParametersDatabaseName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryProduct
 */
export interface CfnModulePropsParametersArtifactoryProduct {
    /**
     * @schema CfnModulePropsParametersArtifactoryProduct#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryProduct' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryProduct(obj: CfnModulePropsParametersArtifactoryProduct | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersReleaseStage
 */
export interface CfnModulePropsParametersReleaseStage {
    /**
     * @schema CfnModulePropsParametersReleaseStage#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersReleaseStage' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersReleaseStage(obj: CfnModulePropsParametersReleaseStage | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersInstanceType
 */
export interface CfnModulePropsParametersInstanceType {
    /**
     * @schema CfnModulePropsParametersInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersInstanceType' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersInstanceType(obj: CfnModulePropsParametersInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryHostRole
 */
export interface CfnModulePropsParametersArtifactoryHostRole {
    /**
     * @schema CfnModulePropsParametersArtifactoryHostRole#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryHostRole' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryHostRole(obj: CfnModulePropsParametersArtifactoryHostRole | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersEfsSecurityGroup
 */
export interface CfnModulePropsParametersEfsSecurityGroup {
    /**
     * @schema CfnModulePropsParametersEfsSecurityGroup#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersEfsSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersEfsSecurityGroup(obj: CfnModulePropsParametersEfsSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup
 */
export interface CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup {
    /**
     * @schema CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup(obj: CfnModulePropsResourcesArtifactoryDatabaseSubnetGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryDatabase
 */
export interface CfnModulePropsResourcesArtifactoryDatabase {
    /**
     * @schema CfnModulePropsResourcesArtifactoryDatabase#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryDatabase#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryDatabase' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryDatabase(obj: CfnModulePropsResourcesArtifactoryDatabase | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryDatabaseSg
 */
export interface CfnModulePropsResourcesArtifactoryDatabaseSg {
    /**
     * @schema CfnModulePropsResourcesArtifactoryDatabaseSg#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryDatabaseSg#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryDatabaseSg' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryDatabaseSg(obj: CfnModulePropsResourcesArtifactoryDatabaseSg | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryS3Bucket
 */
export interface CfnModulePropsResourcesArtifactoryS3Bucket {
    /**
     * @schema CfnModulePropsResourcesArtifactoryS3Bucket#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryS3Bucket#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryS3Bucket' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryS3Bucket(obj: CfnModulePropsResourcesArtifactoryS3Bucket | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryS3IamPolicy
 */
export interface CfnModulePropsResourcesArtifactoryS3IamPolicy {
    /**
     * @schema CfnModulePropsResourcesArtifactoryS3IamPolicy#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryS3IamPolicy#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryS3IamPolicy' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryS3IamPolicy(obj: CfnModulePropsResourcesArtifactoryS3IamPolicy | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryEfsFileSystem
 */
export interface CfnModulePropsResourcesArtifactoryEfsFileSystem {
    /**
     * @schema CfnModulePropsResourcesArtifactoryEfsFileSystem#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryEfsFileSystem#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryEfsFileSystem' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryEfsFileSystem(obj: CfnModulePropsResourcesArtifactoryEfsFileSystem | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryEfsMountTarget1
 */
export interface CfnModulePropsResourcesArtifactoryEfsMountTarget1 {
    /**
     * @schema CfnModulePropsResourcesArtifactoryEfsMountTarget1#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryEfsMountTarget1#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryEfsMountTarget1' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryEfsMountTarget1(obj: CfnModulePropsResourcesArtifactoryEfsMountTarget1 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryEfsMountTarget2
 */
export interface CfnModulePropsResourcesArtifactoryEfsMountTarget2 {
    /**
     * @schema CfnModulePropsResourcesArtifactoryEfsMountTarget2#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryEfsMountTarget2#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryEfsMountTarget2' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryEfsMountTarget2(obj: CfnModulePropsResourcesArtifactoryEfsMountTarget2 | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `JFrog::Artifactory::Core::MODULE`.
 *
 * @external
 * @cloudformationResource JFrog::Artifactory::Core::MODULE
 * @link http://unknown-url
 */
export declare class CfnModule extends cdk.CfnResource {
    /**
     * The CloudFormation resource type name for this resource class.
     *
     * @external
     */
    static readonly CFN_RESOURCE_TYPE_NAME = "JFrog::Artifactory::Core::MODULE";
    /**
     * Resource props.
     *
     * @external
     */
    readonly props: CfnModuleProps;
    /**
     * Create a new `JFrog::Artifactory::Core::MODULE`.
     *
     * @param scope - scope in which this resource is defined.
     * @param id - scoped id of the resource.
     * @param props - resource properties.
     * @external
     */
    constructor(scope: cdk.Construct, id: string, props: CfnModuleProps);
}
